import dynamix_sdk.base as _base


class CloudapiComputeGetConsoleUrlResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiComputeGetConsoleUrlProtocol(_base.BasePostAPIFunctionProtocol):
    def get_console_url(
        self,
        *,
        vm_id: int,
    ) -> CloudapiComputeGetConsoleUrlResultStr:
        ...
